Skip to main content

Create Dedicated Cluster (V2)

Create a dedicated cluster.

POST/v2/clusters/createDedicated
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Acceptstringheader

Use application/json.

Example Value: application/json
Request Body
clusterNamestringrequired

Name of the cluster to create.

descriptionstring

Description of the cluster.

Example Value: Production vector search cluster
projectIdstringrequired

ID of the project to which the cluster belongs.

planstring

Subscription plan of the project to which the cluster belongs. Possible values are Standard and Enterprise.

cuTypestringrequired

CU type of the cluster.
This applies to dedicated clusters only. For free and serverless clusters, the value is empty.
For possible values, you can refer to the drop-down below or find them when you create cluster on Zilliz Cloud console.

cuSizeintegerrequired

CU size of the cluster.
For free and serverless clusters, the value is always 0.
For dedicated clusters in Standard plan, the value can be 1 to 32, and possible values can be 1, 2, 4, 8, 12, 16, 20, 24, 28, 32.
For dedicated clusters in Enterprise plan, the value can be 1 to 1,024, and possible values can be 1, 2, 4, 8, 12, 16, 20, 24, 28, 32,...,64, 72, 80, 88,...,256, 272, 288, ...,1024.
For details on the increment rules for the CU size, refer to the Deployment section in Detailed Plan Comparison.

Value Range: ≥ 1≤ 1024
labelsobject

Key-value labels for BYOC cluster identification.

bucketInfoobject

Custom bucket configuration for BYOC clusters.

bucketNamestring

The name of the custom storage bucket.

prefixstring

The prefix path within the bucket.

keyIdentifierstring

The key identifier for encryption in BYOC clusters.

autoscalingobject

Autoscaling configuration of the cluster.

cuobject

CU autoscaling bounds and schedules.

mininteger<int64>

Minimum number of CUs.

maxinteger<int64>

Maximum number of CUs.

schedulesarray

Scheduled CU scaling targets.

[]schedulesobject

Scheduled autoscaling target.

cronstring

Cron expression defining when the schedule applies.

targetinteger<int64>

Target value applied when the schedule fires.

timezonestring

Timezone of the cron schedule.

replicaobject

Replica autoscaling bounds and schedules.

mininteger<int64>

Minimum number of replicas.

maxinteger<int64>

Maximum number of replicas.

schedulesarray

Scheduled replica scaling targets.

[]schedulesobject

Scheduled autoscaling target.

cronstring

Cron expression defining when the schedule applies.

targetinteger<int64>

Target value applied when the schedule fires.

timezonestring

Timezone of the cron schedule.

regionIdstring

ID of the region where the cluster is created. Required for Free, Serverless, and non-BYOC Dedicated clusters; optional for BYOC Dedicated clusters.

replicainteger<int64>

Number of replicas of the cluster. Defaults to 1.

Examplebash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/clusters/createDedicated" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterName": "Cluster-05",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"regionId": "aws-us-west-2",
"plan": "Standard",
"cuType": "Performance-optimized",
"cuSize": 1,
"description": "A cluster for vector search workloads."
}'
Responses

Returns information about the created cluster in detail.

A response payload variant returned after creating a Dedicated Cluster.

codeinteger<int32>

Response code.

dataobject

Response payload.

clusterIdstring

ID of the cluster created.

usernamestring

Name of the cluster administration user named db_admin.

passwordstring

Password of the cluster administration user. This value shows up only once when the cluster is created. You are advised to record it securely.

promptstring

Prompt messages returned.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"username": "db_admin",
"password": "****************",
"prompt": "successfully submitted, cluster is being created. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK with the admin account and the initial password you specified."
}
}